//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Xml;
using CommunityServer.Components;

namespace CommunityServer.Files.Components
{
	/// <summary>
	/// Summary description for HtmlScrubbingModule.
	/// </summary>
	public class HtmlScrubbingModule : BaseFilesFormattedBodyModule
	{
		public HtmlScrubbingModule()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		protected override void Format(Entry e)
		{
			e.FormattedBody = HtmlScrubber.Clean(e.FormattedBody,false,true);
		}

		protected override void Format(EntryComment ec)
		{
			ec.FormattedBody = HtmlScrubber.Clean(ec.FormattedBody,false,true);
		}
	}
}
